## simpleswitcher-20191008-7230421aa2e3364e3b4620f1ea3760f8f810b1a5.tar.gz

=== Makefile ===
CFLAGS?=-Wall -Os
LDADD?=`pkg-config --cflags --libs x11 xinerama xft xres`
PREFIX?=$(DESTDIR)/usr
BINDIR?=$(PREFIX)/bin
MANDIR?=${PREFIX}/share/man

all: normal

normal:
	$(CC)  -o simpleswitcher simpleswitcher.c $(CFLAGS) $(LDADD) $(LDFLAGS)

debug:
	$(CC) -o simpleswitcher-debug simpleswitcher.c $(CFLAGS) -Wunused-parameter -g -DDEBUG $(LDADD) 

install:
	install -Dm 755 simpleswitcher $(BINDIR)/simpleswitcher
	install -Dm 644 -t $(MANDIR)/man1 simpleswitcher.1

clean:
	rm -f simpleswitcher simpleswitcher-debug

=== PKGBUILD ===
# Contributor: Sean Pringle <sean.pringle@gmail.com>

pkgname=simpleswitcher-git
pkgver=20120625
pkgrel=1
pkgdesc="simple EWMH window switcher"
arch=('i686' 'x86_64')
url="http://github.com/seanpringle/simpleswitcher"
license=('MIT')
depends=('libx11' 'libxft' 'freetype2')
makedepends=('git')
provides=('simpleswitcher')

_gitroot="git://github.com/seanpringle/simpleswitcher.git"
_gitname="simpleswitcher"

build() {
  cd "$srcdir"
  msg "Connecting to GIT server...."

  if [ -d $_gitname ] ; then
    cd $_gitname && git pull origin
    msg "The local files are updated."
  else
    git clone $_gitroot --depth=1
  fi

  msg "GIT checkout done or server timeout"
  msg "Starting make..."

  rm -rf "$srcdir/$_gitname-build"
  cp -r "$srcdir/$_gitname" "$srcdir/$_gitname-build"
  cd "$srcdir/$_gitname-build"

  make
}

package() {
  cd "$srcdir/$_gitname-build"
  install -Dm 755 $_gitname "$pkgdir/usr/bin/simpleswitcher"
  gzip -c "$_gitname.1" > "$_gitname.1.gz"
  install -Dm644 "$_gitname.1.gz" "$pkgdir/usr/share/man/man1/$_gitname.1.gz"
}
